# Night Vision (Sponsored)

Night vision "Visual Effect" with a mounted infra-red spotlight, so it works in ALL maps. You can customize the color filter, edge-detection, spotlight, + more!

DISCLAIMER: This mod does NOT have any physical night vision goggles, it's simply a visual effect.

[>>[VIDEO_TUTORIAL: How to Use]<<](https://i.imgur.com/B3V0eWB.mp4)

### How to Spawn
1. Open Wrist Menu
2. Click 'Custom Buttons' submenu
3. Click 'NVG (Toggle)' button.

### How to disable/enable
1. After "Spawning" per instructions above, Night vision will be enabled
2. Bring your controller to your forehead, the trigger should now be highlighted
3. Click to enable/disable NVG
4. The item will stay in your forehead until you "Despawn" it per instructions below

### How to De-Spawn
1. Open Wrist Menu
2. Click 'Custom Buttons' submenu
3. Click 'NVG (Toggle)' button.

### Config vars
REQUIRED: After changing config variable, you need to Spawn/Despawn
* Radius of Enable/Disable triggerbox
* Light Enabled
* Light Radius
* Color Hue
* Outline Width
* Outline Brightness
* Brightness
* Blend Black Color
* Render Range
![](https://i.imgur.com/ObXJHr0.png)

### Known Bugs
* The Sodalite Config panel may override some variable values. A workaround is to go back in the menu then re-enter after setting each new value.
* Go report new ones here: [>>[Feedback form]<<](https://forms.gle/TBEe2btHePCsGp557)

### Credits
Open source night-vision shader originally made for VR Chat https://booth.pm/ja/items/1657867

## Planned Features
- [✓] Release working demo.
- [✓] One more round of polish.
- [_] Make it an object savable in Safehouse (sponsor project in the works)

## Versions
### 1.1.0
* Customize color hue, edge detection, + more in the Sodalite config panel.
### 1.0.0
* Added configurable light radius, size of forehead trigger box, and turning light lamp on/off.
### 0.1.0
* Item spawns from Wrist Menu
* NVG toggleable by clicking forehead
